Skip to main content
POST
/
user
/
practice
/
sessions
/
run
Quick 입력 세션
curl --request POST \
  --url https://api.example.com/user/practice/sessions/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt_text": "<string>",
  "model_names": [
    "<string>"
  ],
  "agent_id": 2,
  "project_id": 2,
  "knowledge_ids": [
    123
  ],
  "style_preset": "accurate",
  "style_params": {},
  "generation_params": {
    "temperature": 1,
    "top_p": 0.5,
    "response_length_preset": "short",
    "max_completion_tokens": 2,
    "max_tokens": 2
  },
  "few_shot_example_ids": [
    123
  ]
}
'
{
  "session_id": 123,
  "prompt_text": "<string>",
  "results": [
    {
      "session_model_id": 123,
      "model_name": "<string>",
      "response_id": 123,
      "prompt_text": "<string>",
      "response_text": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "token_usage": {},
      "latency_ms": 123,
      "is_primary": true,
      "generation_params": {}
    }
  ],
  "session_title": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

class_id
integer
required
Required range: x >= 1

Body

application/json

POST /sessions/run

  • 새 세션 생성 + 첫 턴
  • agent_id / project_id / knowledge_ids + (settings 튜닝 값들)까지 받는다.
prompt_text
string
required
model_names
string[] | null

이 세션에서 호출할 논리 모델 이름 목록

agent_id
integer | null
Required range: x >= 1
project_id
integer | null
Required range: x >= 1
knowledge_ids
integer[] | null

새 세션에서만 설정되는 지식베이스 ID 목록

style_preset
enum<string> | null

스타일 프리셋(accurate/balanced/creative/custom 등)

Available options:
accurate,
balanced,
creative,
custom
style_params
Style Params · object

스타일 상세 옵션(형식/persona/힌트모드/self-check 등)

generation_params
GenerationParams · object

LLM 생성 파라미터(temperature/top_p/max_completion_tokens 등)

few_shot_example_ids
integer[] | null

유저 few-shot 라이브러리(example_id)에서 선택한 ID 목록

Response

Successful Response

session_id
integer
required
prompt_text
string
required
results
PracticeTurnModelResult · object[]
required
session_title
string | null